Package org.gradle.api.artifacts

# Interface LegacyConfiguration

All Superinterfaces:
  `AntBuilderAware`, `Buildable`, `Configuration`, `FileCollection`, `HasAttributes`, `HasConfigurableAttributes<Configuration>`, `Iterable<File>`, `Named`

@Incubating public interface LegacyConfiguration extends Configuration
A `Configuration` with a mutable role, that can potentially perform behavior of a `ConsumableConfiguration`, a `ResolvableConfiguration`, or a `DependencyScopeConfiguration`.

Since:
  8.14

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.artifacts.Configuration

  `Configuration.State`

  ## Nested classes/interfaces inherited from interface org.gradle.api.file.FileCollection

  `FileCollection.AntType`

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  ### Methods inherited from interface org.gradle.api.artifacts.Configuration

  `copy, copy, copy, copyRecursive, copyRecursive, copyRecursive, defaultDependencies, disableConsistentResolution, exclude, extendsFrom, extendsFrom, fromDependencyCollector, getAllArtifacts, getAllDependencies, getAllDependencyConstraints, getArtifacts, getBuildDependencies, getDependencies, getDependencyConstraints, getDescription, getExcludeRules, getExtendsFrom, getHierarchy, getIncoming, getOutgoing, getResolutionStrategy, getResolvedConfiguration, getState, getTaskDependencyFromProjectDependency, isCanBeConsumed, isCanBeDeclared, isCanBeResolved, isTransitive, isVisible, outgoing, resolutionStrategy, resolutionStrategy, resolve, setCanBeConsumed, setCanBeDeclared, setCanBeResolved, setDescription, setExtendsFrom, setTransitive, setVisible, shouldResolveConsistentlyWith, withDependencies`

  ### Methods inherited from interface org.gradle.api.file.FileCollection

  `addToAntBuilder, addToAntBuilder, contains, filter, filter, getAsFileTree, getAsPath, getElements, getFiles, getSingleFile, isEmpty, minus, plus`

  ### Methods inherited from interface org.gradle.api.attributes.HasAttributes

  `getAttributes`

  ### Methods inherited from interface org.gradle.api.attributes.HasConfigurableAttributes

  `attributes`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, iterator, spliterator`

  ### Methods inherited from interface org.gradle.api.Named

  `getName`